Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezimagecatalogue/admin/filedownload.php File Reference

Go to the source code of this file.

## Variables
| $file = new eZImage( $ImageID )
| $fileName = $file->name()
| $originalFileName = $file->originalFileName()
| $filePath = $file->filePath( true )
| $user =& eZUser::currentUser()
| $image = new eZImage( $ImageID )
if(eZObjectPermission::hasPermission( $image->id(), "imagecatalogue_image", "r", $user)==false) | $fileSize = eZPBFile::filesize( $filePath )
| $fp = eZPBFile::fopen( $filePath, "r" )
| $content =& fread( $fp, $fileSize )

## Variable Documentation

## ◆ $content

$content =& fread( $fp, $fileSize )

Definition at line 53 of file ezimagecatalogue/admin/filedownload.php.

Referenced by ezpRestContentRenderer\createRenderer(), eZXMLRPCDataTypeDecoder\decodeBase64(), eZXMLRPCDataTypeDecoder\decodeBoolean(), eZQDomGenerator\decodeCustom(), eZXMLRPCDataTypeDecoder\decodeDateTime(), eZXMLRPCDataTypeDecoder\decodeDouble(), eZQDomGenerator\decodeHeader(), eZXMLRPCDataTypeDecoder\decodeInt(), eZQDomGenerator\decodeRollOver(), eZQDomGenerator\decodeStandards(), eZXMLRPCDataTypeDecoder\decodeString(), eZXMLRPCDataTypeDecoder\decodeStruct(), ezpContent\fromNode(), ezpContent\fromObject(), ezpRestContentRenderer\getRenderer(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZRDFImporter\news(), eZRSSImporter\news(), eZQDomRenderer\renderHeader(), eZQDomRenderer\renderStandards(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), ezpKernelTreeMenu\run(), ezpKernelWeb\run(), eZArticle\searchByShortContent(), eZFormRenderer\sendForm(), and eZWebDAVContentBackend\setResourceContents().

## ◆ $file

$file = new eZImage( $ImageID )

Definition at line 34 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $fileName

$fileName = $file->name()

Definition at line 35 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $filePath

$filePath = $file->filePath( true )

Definition at line 38 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $fileSize

if (eZObjectPermission::hasPermission($image->id(), "imagecatalogue_image", "r", $user)==false) $fileSize = eZPBFile::filesize( $filePath )

Definition at line 51 of file ezimagecatalogue/admin/filedownload.php.

Referenced by eZFile\downloadContent(), and eZFile\downloadHeaders().

## ◆ $fp

$fp = eZPBFile::fopen( $filePath, "r" )

Definition at line 52 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $image

$image = new eZImage( $ImageID )

Definition at line 41 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $originalFileName

$originalFileName = $file->originalFileName()

Definition at line 37 of file ezimagecatalogue/admin/filedownload.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 40 of file ezimagecatalogue/admin/filedownload.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.